Skip to main content
`Ctrl`+`K`

# DSSetFromOptions

Sets `DS` options from the options database.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetFromOptions(DS ds)

Collective

## Input Parameter

- ds - the direct solver context

## Notes

To see all options, run your program with the `-help` option.

## See Also

DS: Direct Solver (or Dense System), `DSSetOptionsPrefix()`

## Level

beginner

## Location

src/sys/classes/ds/interface/dsbasic.c

## Implementations

DSSetFromOptions_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c
DSSetFromOptions_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages